Subject: [sup-talk] exception when archiving in rev 684

From: [email-masked] (Michael Gurski)
Date: Thu, 08 Nov 2007 09:56:38 -0500

I've been getting exceptions whenever I attempt to archive a message
or thread if I'm NOT in the main index, in rev 684.  I can either be
reading a thread and hit "a" or be in an index for a specific label
and hit "a", and both will trigger the following exception:

The problem was: 'undefined method `contains?' for
#<Array:0x4159b5b4>' (error type NoMethodError)
A backtrace follows:
./lib/sup/modes/thread-index-mode.rb:71:in `contains_thread?': undefined method `contains?' for #<Array:0x4159b5b4> (NoMethodError)
        from ./lib/sup/modes/inbox-mode.rb:42:in `handle_archived_update'
        from ./lib/sup/update.rb:16:in `send'
        from ./lib/sup/update.rb:16:in `relay'
        from ./lib/sup/update.rb:16:in `each'
        from ./lib/sup/update.rb:16:in `relay'
        from ./lib/sup/util.rb:422:in `send'
        from ./lib/sup/util.rb:422:in `method_missing'
        from ./lib/sup/modes/thread-index-mode.rb:198:in `actually_toggle_archived'
        from ./lib/sup/modes/thread-index-mode.rb:227:in `toggle_archived'
        from ./lib/sup/mode.rb:54:in `send'
        from ./lib/sup/mode.rb:54:in `handle_input'
        from ./lib/sup/buffer.rb:203:in `handle_input'
        from bin/sup:210

Currently, to archive, I need to "x" while reading, and make sure I
hit "a" in the main index.

-- 
Michael A. Gurski (opt. [first].)[last]@pobox.com  http://www.pobox.com/~[last]
1024R/39B5BADD PGP: 34 93 A9 94 B1 59 48 B7  17 57 1E 4E 62 56 45 70
1024D/1166213E GPG: 628F 37A4 62AF 1475 45DB  AD81 ADC9 E606 1166 213E
4096R/C0B4F04B GPG: 5B3E 75D7 43CF CF34 4042  7788 1DCE B5EE C0B4 F04B
Views expressed by the host do not reflect the staff, management or sponsors.